/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IMessageDestinationRef.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.common.api.xml.struct;

/**
 * Interface used for message-destination-ref element.
 * @author Florent Benoit
 */
public interface IMessageDestinationRef extends IResourceGroup {

    /**
     * Name of this element.
     */
    String NAME = "message-destination-ref";

    /**
     * @return name of this message-destination-ref.
     */
    String getName();

    /**
     * Sets the name of message-destination-ref.
     * @param name the name of this reference
     */
    void setName(final String name);

    /**
     * @return type of this message-destination-ref.
     */
    String getType();

    /**
     * Sets the type of message-destination-ref.
     * @param type the type of this reference
     */
    void setType(final String type);

    /**
     * @return usage of this message-destination-ref.
     */
    String getUsage();

    /**
     * Sets the usage of message-destination-ref.
     * @param usage the usage of this reference
     */
    void setUsage(final String usage);

    /**
     * @return link of this message-destination-ref.
     */
    String getLink();

    /**
     * Sets the link of message-destination-ref.
     * @param link the link of this reference
     */
    void setLink(final String link);

}
